package com.sinosig.service.web.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.sinosig.core.module.valuerule.anno.jqxxx.*;
import com.sinosig.core.module.domain.JQXXX;
import org.springframework.cglib.beans.BeanCopier;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 服务DTO对象[JQXXXDTO]
 */
public class JQXXXDTO implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CIDID]
     *
     */

    @JQXXXCIDIdDefault(info = "默认规则")
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;

    /**
     * 属性 [FLXS]
     *
     */

    @JQXXXFlxsDefault(info = "默认规则")
    private Double Flxs;

    @JsonIgnore
    private boolean FlxsDirtyFlag;

    /**
     * 属性 [JQXXXID]
     *
     */

    @JQXXXJQXXXIdDefault(info = "默认规则")
    private String JQXXXId;

    @JsonIgnore
    private boolean JQXXXIdDirtyFlag;

    /**
     * 属性 [JQXXXNAME]
     *
     */

    @JQXXXJQXXXNameDefault(info = "默认规则")
    private String JQXXXName;

    @JsonIgnore
    private boolean JQXXXNameDirtyFlag;

    /**
     * 属性 [JZBF]
     *
     */

    @JQXXXJzbfDefault(info = "默认规则")
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;

    /**
     * 属性 [SJBF]
     *
     */

    @JQXXXSjbfDefault(info = "默认规则")
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;

    /**
     * 属性 [TKDM]
     *
     */

    @JQXXXTkdmDefault(info = "默认规则")
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;

    /**
     * 属性 [TKMC]
     *
     */

    @JQXXXTkmcDefault(info = "默认规则")
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;

    /**
     * 属性 [UPDATEDATE]
     *
     */

    @JQXXXUpdateDateDefault(info = "默认规则")
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 属性 [ZRXE]
     *
     */

    @JQXXXZrxeDefault(info = "默认规则")
    private BigDecimal Zrxe;

    @JsonIgnore
    private boolean ZrxeDirtyFlag;


    /**
     * 获取 [CIDID]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [CIDID]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [CIDID]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }

    /**
     * 获取 [FLXS]
     */
    @JsonProperty("flxs")
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [FLXS]
     */
    @JsonProperty("flxs")
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }

    /**
     * 获取 [FLXS]脏标记
     */
    @JsonIgnore
    public boolean getFlxsDirtyFlag(){
        return FlxsDirtyFlag ;
    }

    /**
     * 获取 [JQXXXID]
     */
    @JsonProperty("jqxxxid")
    public String getJQXXXId(){
        return JQXXXId ;
    }

    /**
     * 设置 [JQXXXID]
     */
    @JsonProperty("jqxxxid")
    public void setJQXXXId(String  jQXXXId){
        this.JQXXXId = jQXXXId ;
        this.JQXXXIdDirtyFlag = true ;
    }

    /**
     * 获取 [JQXXXID]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXIdDirtyFlag(){
        return JQXXXIdDirtyFlag ;
    }

    /**
     * 获取 [JQXXXNAME]
     */
    @JsonProperty("jqxxxname")
    public String getJQXXXName(){
        return JQXXXName ;
    }

    /**
     * 设置 [JQXXXNAME]
     */
    @JsonProperty("jqxxxname")
    public void setJQXXXName(String  jQXXXName){
        this.JQXXXName = jQXXXName ;
        this.JQXXXNameDirtyFlag = true ;
    }

    /**
     * 获取 [JQXXXNAME]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXNameDirtyFlag(){
        return JQXXXNameDirtyFlag ;
    }

    /**
     * 获取 [JZBF]
     */
    @JsonProperty("jzbf")
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [JZBF]
     */
    @JsonProperty("jzbf")
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [JZBF]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return JzbfDirtyFlag ;
    }

    /**
     * 获取 [SJBF]
     */
    @JsonProperty("sjbf")
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [SJBF]
     */
    @JsonProperty("sjbf")
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [SJBF]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return SjbfDirtyFlag ;
    }

    /**
     * 获取 [TKDM]
     */
    @JsonProperty("tkdm")
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [TKDM]
     */
    @JsonProperty("tkdm")
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [TKDM]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return TkdmDirtyFlag ;
    }

    /**
     * 获取 [TKMC]
     */
    @JsonProperty("tkmc")
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [TKMC]
     */
    @JsonProperty("tkmc")
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [TKMC]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return TkmcDirtyFlag ;
    }

    /**
     * 获取 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [UPDATEDATE]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [UPDATEDATE]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [ZRXE]
     */
    @JsonProperty("zrxe")
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [ZRXE]
     */
    @JsonProperty("zrxe")
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

    /**
     * 获取 [ZRXE]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return ZrxeDirtyFlag ;
    }



    public JQXXX toDO() {

        JQXXX srfdomain = new JQXXX();
        if(getCIDIdDirtyFlag())
            srfdomain.setCIDId(CIDId);
        if(getFlxsDirtyFlag())
            srfdomain.setFlxs(Flxs);
        if(getJQXXXIdDirtyFlag())
            srfdomain.setJQXXXId(JQXXXId);
        if(getJQXXXNameDirtyFlag())
            srfdomain.setJQXXXName(JQXXXName);
        if(getJzbfDirtyFlag())
            srfdomain.setJzbf(Jzbf);
        if(getSjbfDirtyFlag())
            srfdomain.setSjbf(Sjbf);
        if(getTkdmDirtyFlag())
            srfdomain.setTkdm(Tkdm);
        if(getTkmcDirtyFlag())
            srfdomain.setTkmc(Tkmc);
        if(getUpdateDateDirtyFlag())
            srfdomain.setUpdateDate(UpdateDate);
        if(getZrxeDirtyFlag())
            srfdomain.setZrxe(Zrxe);
        return srfdomain;
    }

    public void fromDO(JQXXX srfdomain) {

        if(srfdomain.getCIDIdDirtyFlag())
            this.setCIDId(srfdomain.getCIDId());
        if(srfdomain.getFlxsDirtyFlag())
            this.setFlxs(srfdomain.getFlxs());
        if(srfdomain.getJQXXXIdDirtyFlag())
            this.setJQXXXId(srfdomain.getJQXXXId());
        if(srfdomain.getJQXXXNameDirtyFlag())
            this.setJQXXXName(srfdomain.getJQXXXName());
        if(srfdomain.getJzbfDirtyFlag())
            this.setJzbf(srfdomain.getJzbf());
        if(srfdomain.getSjbfDirtyFlag())
            this.setSjbf(srfdomain.getSjbf());
        if(srfdomain.getTkdmDirtyFlag())
            this.setTkdm(srfdomain.getTkdm());
        if(srfdomain.getTkmcDirtyFlag())
            this.setTkmc(srfdomain.getTkmc());
        if(srfdomain.getUpdateDateDirtyFlag())
            this.setUpdateDate(srfdomain.getUpdateDate());
        if(srfdomain.getZrxeDirtyFlag())
            this.setZrxe(srfdomain.getZrxe());

    }

    public List<JQXXXDTO> fromDOPage(List<JQXXX> poPage)   {
        if(poPage == null)
            return null;
        List<JQXXXDTO> dtos=new ArrayList<JQXXXDTO>();
        for(JQXXX domain : poPage) {
            JQXXXDTO dto = new JQXXXDTO();
            dto.fromDO(domain);
            dtos.add(dto);
        }
        return dtos;
    }
}

